#include "enemy.hpp"

// #include "../playstate.hpp"
// #include "../main.hpp"

Enemy::Enemy(const KungFlowGame *game, const PlayState *playState, e_EnemyType enemyType, e_Team team, const Vector2 &position, float zPosition, const Vector2 &movement, float zMovement) : StageEntity(e_StageEntityType_Enemy, team), game(game), playState(playState), enemyType(enemyType), position(position), zPosition(zPosition), movement(movement), zMovement(zMovement) {
}

Enemy::~Enemy() {
}


/* started on factory, then decided not to use a factory for this for atm. may come in handy later

static Enemy::SpawnEnemy(e_EnemyType enemyType, const Vector2 &position) {

  switch (enemyType) {

    case e_EnemyType_Birdlike:

      return new EnemyBirdlike(game, playState, position);

*/
